Bug 851819 (mingw-sparsehash) - Review Request: mingw-sparsehash - MinGW Extremely memory-efficient C++ hash_map implementation
Summary: Review Request: mingw-sparsehash - MinGW Extremely memory-efficient C++ hash_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: mingw-sparsehash
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-26 00:20 UTC by Thomas Sailer
Modified: 2021-07-31 09:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-31 09:56:32 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Thomas Sailer 2012-08-26 00:20:38 UTC
Spec URL: http://sailer.fedorapeople.org/mingw-sparsehash.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-sparsehash-2.0.2-1.fc17.src.rpm
Description:
MinGW Extremely memory-efficient C++ hash_map implementation

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 Upstream Release Monitoring 2015-12-03 20:42:42 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:43:54 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:44:46 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 4 Thomas Sailer 2015-12-20 18:52:56 UTC
Huh? Since when should failed builds of other packages on epel7 be counted as lack of submitter response?

Comment 5 Upstream Release Monitoring 2016-02-07 00:50:00 UTC
epienbro's scratch build of mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 for f23 and git://pkgs.fedoraproject.org/mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12896452

Comment 6 Upstream Release Monitoring 2016-02-07 03:54:47 UTC
epienbro's scratch build of mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 for f23 and git://pkgs.fedoraproject.org/mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12896755

Comment 7 Upstream Release Monitoring 2016-02-07 13:45:03 UTC
epienbro's scratch build of mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 for f23 and git://pkgs.fedoraproject.org/mingw-wine-gecko?#f6fe7e9688d9639fa7a1233a68a9862ce0b246e7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12897715

Comment 8 Package Review 2020-07-10 00:46:05 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 10 Robert-André Mauchin 🐧 2020-07-10 17:13:00 UTC
URL:            http://code.google.com/p/sparsehash
Source0:        http://sparsehash.googlecode.com/files/sparsehash-%{version}.tar.gz

 - Both 404. Find an official mirror?

URL:            https://github.com/sparsehash/sparsehash
Source0:        %url/archive/sparsehash-%{version}.tar.gz

 - Group: is not used in Fedora

 - License must be included with %license, not %doc:

%files -n mingw32-%{mingw_pkg_name}
%license COPYING
%doc AUTHORS NEWS README TODO
%{mingw32_includedir}/google/
%{mingw32_includedir}/sparsehash/
%{mingw32_libdir}/pkgconfig/libsparsehash.pc

%files -n mingw64-%{mingw_pkg_name}
%license COPYING
%doc AUTHORS NEWS README TODO
%{mingw64_includedir}/google/
%{mingw64_includedir}/sparsehash/
%{mingw64_libdir}/pkgconfig/libsparsehash.pc

Comment 11 Robert-André Mauchin 🐧 2020-07-10 17:14:25 UTC
Add %{?mingw_debug_package} before %prep too

Comment 12 Thomas Sailer 2020-07-10 18:23:49 UTC
(In reply to Robert-André Mauchin 🐧 from comment #11)
> Add %{?mingw_debug_package} before %prep too

This does not work, as sparsehash is a header-only library, there are no binaries in the package, so debug file lists will be empty and debug package generation fails

Comment 13 Thomas Sailer 2020-07-10 18:32:22 UTC
> Find an official mirror?

I don't think there's one anymore, ubuntu also uses the github.com version

Comment 14 Thomas Sailer 2020-07-10 18:33:42 UTC
(In reply to Robert-André Mauchin 🐧 from comment #10)

I should have addressed all of your comments.

https://copr.fedorainfracloud.org/coprs/sailer/mingw/build/1545170/

Thanks a lot Robert-André for your review comments!

Comment 15 Robert-André Mauchin 🐧 2020-07-10 20:35:07 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "FSF All Permissive License", "Expat License", "NTP
     License". 53 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/mingw-sparsehash/review-
     mingw-sparsehash/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/i686-w64-mingw32/sys-
     root/mingw/include/google(mingw32-protobuf),
     /usr/x86_64-w64-mingw32/sys-
     root/mingw/include/google(mingw64-protobuf)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 8 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-sparsehash , mingw64-sparsehash
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-sparsehash : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/libsparsehash.pc mingw64-sparsehash :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/libsparsehash.pc
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Comment 16 Gwyn Ciesla 2020-07-13 04:13:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-sparsehash

Comment 17 Mattia Verga 2021-07-31 09:56:32 UTC
Package is available in repos


Note You need to log in before you can comment on or make changes to this bug.